# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI.pm) perl(ExtUtils/MakeMaker.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name 	 CGI-XML
%define upstream_version 0.1

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_8

Summary:	CGI-XML perl module
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/CGI/
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(XML/Parser.pm)

Buildarch:  noarch


Obsoletes:	perl-XML-CGI
Provides:	perl-XML-CGI
Source44: import.info

%description
CGI-XML converts CGI.pm variables to XML and vice versa.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%install
install -d $RPM_BUILD_ROOT%{perl_vendor_archlib}
%makeinstall_std
install -d $RPM_BUILD_ROOT/%{_datadir}

%files 
%doc README MANIFEST Changes  examples
%{perl_vendor_privlib}/CGI/*

%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.1-alt3_8
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.1-alt3_7
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.1-alt3_6
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.1-alt3_5
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.1-alt3_4
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.1-alt3_3
- rebuild to get rid of unmets

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_3
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 0.1-alt2_2
- rebuild to get rid of unmets

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_2
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_1
- converted for ALT Linux by srpmconvert tools

